* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: 'FuturaBookC', sans-serif;
    overflow-x: hidden;
}

a {
    text-decoration: none;
}

ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

h1,
h2,
h3,
h4,
h5 {
    font-weight: 400;
}

p {
    margin: 0;
}

.container {
    margin: 0 auto;
    padding: 0 20px;
    max-width: 1280px;
    width: 100%;

    @media (max-width: $desktop-width) {
        padding: 0 50px;
    }

    @media (max-width: $tablet-width) {
        padding: 0 24px;
    }

    @media (max-width: $phone-width) {
        padding: 0 18px;
    }
}

.container-wide {
    max-width: 1440px;
    padding-right: 0px;
    padding-left: 100px;

    @media (max-width: $desktop-width) {
        max-width: 1200px;
        padding-left: 50px;
    }
}

.button {
    padding: 13px 33px;
    border: $button-border-width solid $button-color-hover;
    font-family: 'FuturaDemiC', sans-serif;
    outline: none;
    background: $main-color;
    box-shadow: 0px 5px 15px rgba(227, 184, 115, 0.2);
    border-radius: 2px;
    font-size: 13px;
    line-height: 15px;
    text-transform: uppercase;
    color: $secondary-color;
    transition: all .3s;
    cursor: pointer;

    &:hover {
        background: $button-color-hover;
        color: $secondary-color;
        border: $button-border-width solid $secondary-color;
    }
}

.button-second {
    padding: 13px 22px;
    background: $button-color-hover;
    color: $secondary-color;
    border: $button-border-width solid $secondary-color;

    &:hover {
        border: $button-border-width solid $button-color-hover;
        background: $main-color;
        color: $secondary-color;
    }
}

.hide {
    display: none !important;
}

.show {
    display: flex !important;
}

.section__icon {
    position: relative;
    width: 35px;
    margin: 0 auto;

    &::before {
        content: '';
        position: absolute;
        left: -40px;
        top: 12px;
        width: 32px;
        border-radius: 30px;
        height: 1.5px;
        background: $main-color;
    }

    &::after {
        content: '';
        position: absolute;
        right: -40px;
        top: 12px;
        width: 32px;
        border-radius: 30px;
        height: 1.5px;
        background: $main-color;
    }
}

.section__title {
    margin: 0;
    margin-bottom: 12px;
    font-family: 'YesevaOne-Regular', sans-serif;
    font-size: 20px;
    line-height: 28px;
    color: $secondary-color;
    text-transform: uppercase;

    @media (max-width: $tablet-width) {
        font-weight: 400;
        font-size: 22px;
    }
}

.section__text {
    margin: 0 auto;
    position: relative;
    font-size: 20px;
    line-height: 34px;
    color: $text-color;
    max-width: 680px;
    text-align: center;

    &::before {
        content: '';
        position: absolute;
        margin: 0 auto;
        top: -34px;
        left: 0;
        right: 0;
        border-radius: 30px;
        background: $main-color;
        width: 55px;
        height: 1.5px;
    }

    @media (max-width: $tablet-width) {
        font-size: 14px;
        line-height: 169.8%;
        color: $secondary-color;

        &::before {
            top: -21px;
        }
    }
}

.section__heading {
    text-align: center;
}

.section__subtitle {
    margin: 0 auto;
    font-size: 20px;
    line-height: 27px;
    color: $secondary-color;
    text-align: center;
    max-width: 460px;
}

.bg-white {
    background: url(../img/bg-white.svg) 100% 100% / cover no-repeat;
    padding-bottom: 240px;

    @media (max-width: $tablet-width) {
        background: none;
        padding-bottom: 55px;
    }
}

body.lock {
    overflow: hidden;
}